#version 330

in vec3 position;
in vec3 normal;
in vec2 uv;

uniform mat4 MVP;
uniform sampler2D tex;

out vec3 NORMAL;
out vec2 UV;

void main() {
  gl_Position = MVP * vec4(position, 1.0);
  NORMAL = normal;
  UV = uv;
}
